Subject: Using MPLS in LAN environment

From: Alex Dubrovsky <[email-masked]>
Date: Thu, 13 Jan 2000 16:43:13 -0800 (PST)

Hi, I had a few questions regarding taking advantage of MPLS
functionality from a LAN server:

  1) Does it make sense to run MPLS from a LAN environment?

  2) Let's assume I have a server which sits behind the MPLS capable
ingress router, is it possible for that particular server to run LDP and
request Label Mappings from the ingress router, then connect to an MPLS
capable LDP peer in the core of the network and request specific label
mappings and then finally to stack 2 labels on top of each other
accrdingly and thus create "Loose" LSP which would follow through the 2
routers my server exchanged label information with? Also would I be able
to initiate CR-LDP from that server?

  3) Do ingress MPLS routers have functionality where they would
understand sourcerouted IP packets (LSRR for instance) and will setup
label bindings accordingly?

 Any help would be appreciated

  Thanks, -Alex